Campaigns
Get Campaign Pulse Occupancy
Get current Pulse node occupancy for a campaign so the workflow can be visualized with live customer counts.
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
string
Campaign ID
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/pulse-occupancy"{
"campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
"generatedAt": "2019-08-24T14:15:22Z",
"totalMappedCustomers": 0,
"unmappedCustomers": 0,
"outcomes": {
"appointmentsBooked": 0,
"inquiriesRaised": 0,
"doNotContacts": {
"total": 0,
"fromSms": 0,
"fromCall": 0
}
},
"nodes": [
{
"nodeId": "string",
"nodeType": "string",
"totalCustomers": 0,
"pulseStatusCounts": {
"property1": 0,
"property2": 0
},
"customerStatusCounts": {
"property1": 0,
"property2": 0
}
}
]
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}